POST MobextAPI/Authenticate
Authenticate on the API using the user login and password
Request Information
URI Parameters
None.
Body Parameters
The user.
WebAPIBaseTemplate.Models.jUser| Name | Description | Type | Additional information |
|---|---|---|---|
| login |
user's login web (example: john.doe) |
string |
None. |
| password |
user's password |
string |
None. |
Request Formats
application/json, text/json
Sample:
{
"login": "sample string 1",
"password": "sample string 2"
}
application/xml, text/xml
Sample:
<jUser xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/WebAPIBaseTemplate.Models"> <login>sample string 1</login> <password>sample string 2</password> </jUser>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
WebAPIBaseTemplate.Models.jRetourBase| Name | Description | Type | Additional information |
|---|---|---|---|
| returnCode |
return code |
string |
None. |
| returnLibelle |
return libelle |
string |
None. |
| returnData |
return data |
Object |
None. |
| sessionData |
session data |
string |
None. |
Response Formats
application/json, text/json
Sample:
{
"returnCode": "0000",
"returnLibelle": "The operation ends with success",
"returnData": null,
"sessionData": ""
}